Loading...
Searching...
No Matches
logging_emscripten.c File Reference
Osmocom logging framework

Logging support code using a JS callback. More...

`#include <stdarg.h>`
`#include <stdio.h>`
`#include "config.h"`
`#include <osmocom/core/utils.h>`
`#include <osmocom/core/logging.h>`
`#include <osmocom/core/logging_internal.h>`
`#include <emscripten.h>`

## Functions

| EM_JS (void, on_log_wrapper,(const char *subsys, int level, const char *msg), { return on_log(subsys, level, msg);})
static void | _emscripten_raw_output (struct log_target *target, int subsys, unsigned int level, const char *file, int line, int cont, const char *format, va_list ap)
struct log_target * | log_target_create_emscripten (void)
| Create a new logging target for JS callback logging (uses on_log).

## Detailed Description

Logging support code using a JS callback.

This module sends log messages to a JavaScript callback named on_log with interface on_log(const char *subsys, int level, const char *msg).